<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmEmployeeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_employee', function (Blueprint $table) {
            $table->id();
            $table->string('CompanyID');
            $table->string('Name');
            $table->string('NIC');
            $table->string('Email');
            $table->integer('PhoneNumber');
            $table->foreignId('DesignationID');
            $table->foreign('DesignationID')->references('id')->on('am_designation')->onDelete('cascade');
            $table->foreignId('DepartmentID');
            $table->foreign('DepartmentID')->references('id')->on('am_department')->onDelete('cascade');
            $table->integer('ApprovalAuthority');
            $table->integer('Status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_Employee');
    }
}
