<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Department;
use Modules\Am\Http\common\commonFeatures;

class DepartmentController extends Controller
{
   use commonFeatures;


    public function save(Request $request)
    {
        try {

            $department = new Department();
            $department->Name = $request->get('name');
            if ($department->save()) {
                $response =  $this->responseBody(true, "Department", "save", null);
            } else {
                $response =  $this->responseBody(false, "Department", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Department", "save", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $departments = Department::all(['id AS thID', 'Name AS thName']);
            foreach ($departments as $department) {

                $department->thView =  '<button type="button" class="btn btn-primary"  onclick="edit(' . $department->thID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $department->thDelete = '<button type="button" class="btn btn-danger" onclick="_delete(' . $department->thID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Department", "all", $departments);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Department", "all", $exception);
        }
        return $response;
    }



    public function get($id)
    {
        try {
            $department = Department::find($id);
            $response =  $this->responseBody(true, "Department", "get", $department);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Department", "get", $exception);
        }
        return $response;
    }



    public function update(Request $request, $id)
    {
        try {

            $department = Department::find($id);
            $department->Name = $request->get('name');
            if ($department->update()) {
                $response =  $this->responseBody(true, "Department", "update", null);
            } else {
                $response =  $this->responseBody(false, "Department", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Department", "update", $exception);
        }
        return $response;
    }



    public function delete( $id)
    {
        try {

            $department = Department::find($id);
            if ($department->delete()) {
                $response =  $this->responseBody(true, "Department", "delete", null);
            } else {
                $response =  $this->responseBody(false, "Department", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Department", "delete", $exception);
        }
        return $response;
    }
}
