<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Designation;
use Modules\Am\Http\common\commonFeatures;

class DesignationController extends Controller
{
   use commonFeatures;

    public function save(Request $request)
    {
        try {

            $designation = new Designation();
            $designation->Name = $request->get('name');
            if ($designation->save()) {
                $response =  $this->responseBody(true, "Designation", "save", null);
            } else {
                $response =  $this->responseBody(false, "Designation", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Designation", "save", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $designations = Designation::all(['id AS thID', 'Name AS thName']);
            foreach ($designations as $designation) {

                $designation->thView =  '<button type="button" class="btn btn-primary"  onclick="edit(' . $designation->thID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $designation->thDelete = '<button type="button" class="btn btn-danger" onclick="_delete(' . $designation->thID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Designation", "all", $designations);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Designation", "all", $exception);
        }
        return $response;
    }



    public function get($id)
    {
        try {
            $designation = Designation::find($id);
            $response =  $this->responseBody(true, "Designation", "get", $designation);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Designation", "get", $exception);
        }
        return $response;
    }



    public function update(Request $request, $id)
    {
        try {

            $designation = Designation::find($id);
            $designation->Name = $request->get('name');
            if ($designation->update()) {
                $response =  $this->responseBody(true, "Designation", "update", null);
            } else {
                $response =  $this->responseBody(false, "Designation", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Designation", "update", $exception);
        }
        return $response;
    }



    public function delete($id)
    {
        try {

            $designation = Designation::find($id);
            if ($designation->delete()) {
                $response =  $this->responseBody(true, "Designation", "delete", null);
            } else {
                $response =  $this->responseBody(false, "Designation", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Designation", "delete", $exception);
        }
        return $response;
    }

}
