<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\Group1;
use Modules\Am\Entities\Group2;
use Modules\Am\Http\common\commonFeatures;

class Group2Controller extends Controller
{
    use commonFeatures;

    public function loadgroup1(){
        try {
            $Group1 =Group1::all();

            return $this->responseBody(true, "Group1", "found", $Group1);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Group1", "error", $exception->getMessage());
        }
    }
    public function save(Request $request){
        try {
            $Group2 =new Group2();
            $Group2->Name=$request->name;
            $Group2->Group1ID=$request->group1;
            $save=$Group2->save();

            if($save){
                return $this->responseBody(true, "Group2", "save", "");
            }
            else{
            return $this->responseBody(false, "Group2", "error", null);
            }
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Group2", "error", $exception->getMessage());
        }
    }
    public function loadGroup2(){
        try {
                $Group2=DB::table('am_inventorygroup2')
                ->join('am_inventorygroup1', 'am_inventorygroup2.Group1ID', '=', 'am_inventorygroup1.id')
                ->select('am_inventorygroup2.*', 'am_inventorygroup1.Name as group1name')
                ->get();
            return $this->responseBody(true, "loadGroup2", "found",$Group2 );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadGroup2", "error", $exception->getMessage());
        }
    }
    public function deleteGroup2($id){
        try {
                $Group2=Group2::find($id)->delete();
                return $this->responseBody(true, "deleteGroup2", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "deleteGroup2", "error", $exception->getMessage());
        }
    }
    public function editGroup2($id){
        try {
                $Group2=Group2::find($id)->first();
                return $this->responseBody(true, "editGroup2", "found",$Group2 );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "editGroup2", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $Group2 =Group2::find($request->id);
            $Group2->Name=$request->name;
            $Group2->Group1ID=$request->group1;
            $save=$Group2->save();

            if($save){
                return $this->responseBody(true, "Group2", "updated", "");
            }
            else{
            return $this->responseBody(false, "Group2", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Group2", "error", $exception->getMessage());
        }
    }

}
