<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\Group2;
use Modules\Am\Entities\Group3;
use Modules\Am\Http\common\commonFeatures;

class Group3Controller extends Controller
{
    use commonFeatures;

    public function loadgroup2(){
        try {
            $Group1 =Group2::all();

            return $this->responseBody(true, "Group2", "found", $Group1);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Group2", "error", $exception->getMessage());
        }
    }
    public function save(Request $request){
        try {
            $group3 =new Group3();
            $group3->Name=$request->name;
            $group3->Group2ID=$request->group2;
            $save=$group3->save();

            if($save){
                return $this->responseBody(true, "group3", "save", "");
            }
            else{
            return $this->responseBody(false, "group3", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "group3", "error", $exception->getMessage());
        }
    }
    public function loadgroup3(){
        try {
                $group3=DB::table('am_inventorygroup3')
                ->join('am_inventorygroup2', 'am_inventorygroup3.Group2ID', '=', 'am_inventorygroup2.id')
                ->select('am_inventorygroup3.*', 'am_inventorygroup2.Name as group2name')
                ->get();
                return $this->responseBody(true, "loadgroup3", "found",$group3 );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadgroup3", "error", $exception->getMessage());
        }
    }
    public function deletegroup3($id){
        try {
                $group3=Group3::find($id)->delete();
                return $this->responseBody(true, "deletegroup3", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "deletegroup3", "error", $exception->getMessage());
        }
    }
    public function editgroup3($id){
        try {
                $group3=Group3::find($id)->first();
                return $this->responseBody(true, "editgroup3", "found",$group3 );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "editgroup3", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $group3 =Group3::find($request->id);
            $group3->Name=$request->name;
            $group3->Group2ID=$request->group2;
            $save=$group3->save();

            if($save){
                return $this->responseBody(true, "group3", "updated", "");
            }
            else{
            return $this->responseBody(false, "group3", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "group3", "error", $exception->getMessage());
        }
    }

}
