<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Http\common\commonFeatures;

class InventoryActiveListController extends Controller
{
    use commonFeatures;

    public function loadinventoryItems(){
        try {

            $inventoryItems=DB::table("am_inventoryitem")
                            ->Join("am_assets", function($join){
                                $join->on("am_assets.inventory", "=", "am_inventoryitem.id");
                            })
                            ->select( DB::raw('COUNT(am_assets.id) as invcount'), "am_inventoryitem.id", "am_inventoryitem.name")
                            ->where("am_assets.status", "=", 1)
                            ->groupBy("am_inventoryitem.id")
                            ->orderBy('am_inventoryitem.Name', 'desc')
                            ->get();

            return $this->responseBody(true, "inventoryItems", "found",$inventoryItems );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "inventoryItems", "error", $exception->getMessage());
        }
    }

}
