<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\UserAcess;
use Modules\Am\Entities\UserRoleAcess;
use Modules\Am\Http\common\commonFeatures;

class UseracessController extends Controller
{
    use commonFeatures;

    public function loadList($id){
        try {
                $useraccess_role=UserRoleAcess::where('userRoleId',$id)->first();

                if($useraccess_role==null){

                    $UserAcesslist=UserAcess::all();
                    $object=array();

                    foreach ($UserAcesslist as $access){
                        array_push($object, ['userRoleId'=>$id,'AccessId'=>$access->id]);
                    }

                    UserRoleAcess::insert($object);

                }
                $useraccess_role = DB::table('am_userrole_useracess')
                ->join('am_useracess', 'am_userrole_useracess.AccessId', '=', 'am_useracess.id')
                ->select('am_useracess.*', 'am_userrole_useracess.view AS Aview','am_userrole_useracess.add AS Aadd','am_userrole_useracess.edit AS Aedit','am_userrole_useracess.delete AS Adelete','am_userrole_useracess.id AS Aid','am_userrole_useracess.status AS Astatus')
                ->where('am_userrole_useracess.userRoleId','=',$id)
                ->get();


                return $this->responseBody(true, "loadList", "found",$useraccess_role );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadList", "error", $exception->getMessage());
        }
    }
    public function viewCeckBox(Request $request,$id){
        try {

            UserRoleAcess::where('id',$id)->update(['view'=>$this->isBool($request->val)]);

            return $this->responseBody(true, "viewCeckBox", "proped",$id);

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "viewCeckBox", "error", $exception->getMessage());
        }
    }
    public function addCeckBox(Request $request,$id){
        try {

            UserRoleAcess::where('id',$id)->update(['add'=>$this->isBool($request->val)]);

            return $this->responseBody(true, "addCeckBox", "proped",$id);

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "addCeckBox", "error", $exception->getMessage());
        }
    }

    public function editCeckBox(Request $request,$id){
        try {

            UserRoleAcess::where('id',$id)->update(['edit'=>$this->isBool($request->val)]);

            return $this->responseBody(true, "editCeckBox", "proped",$id);

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "editCeckBox", "error", $exception->getMessage());
        }
    }

    public function deleteCeckBox(Request $request,$id){
        try {

            UserRoleAcess::where('id',$id)->update(['delete'=>$this->isBool($request->val)]);

            return $this->responseBody(true, "deleteCeckBox", "proped",$id);

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "deleteCeckBox", "error", $exception->getMessage());
        }
    }
    public function enableCeckBox(Request $request,$id){
        try {

            UserRoleAcess::where('id',$id)->update(['status'=>$this->isBool($request->val)]);

            return $this->responseBody(true, "enableCeckBox", "proped",$id);

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "enableCeckBox", "error", $exception->getMessage());
        }
    }

}
