
class HttpRequestFormData {

    constructor() {
        this.route = null;
        this.id = '';
        this.data = {};
        this.keys = [];
        this.inputs = [];
        this.compulsory = [];
    }

    setRoute(route) {
        this.route = route;
    }

    getRoute() {
        return this.route + '' + this.id;
    }

    setId(id) {
        this.id = '/' + id;
    }

    getId() {
        return this.id;
    }


    put(key, input, isCompulsory) {
        this.keys.push(key);
        this.inputs.push(input);
        this.data[key] = this.value(input);
        this.compulsory[key] = isCompulsory;
    }

    getData() {
        return this.data;
    }

    validate() {
        for (var i in this.inputs) {
            if (this.inputs[i].val() === null || $.trim(this.inputs[i].val()) === '' && this.compulsory[this.keys[i]]) {
                this.inputs[i].focus();
                return false;
            }
        }
        return true;
    }


    save() {
        $.ajax({
            type: "POST",
            url: this.getRoute(),
            data: this.getData(),
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            timeout: 800000,
            beforeSend: function () {
            },
            success: function (response) {
                console.log(response);
                toastr.success('data saved');
            },
            error: function (error) {
                console.log(error);
                toastr.error('Something went wrong');
            },
            complete: function () {
            }

        });
    }


    update() {
        $.ajax({
            type: "PUT",
            url: this.getRoute(),
            data: this.getData(),
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            timeout: 800000,
            beforeSend: function () {
            },
            success: function (response) {
                console.log(response);
                toastr.success('data updated');
            },
            error: function (error) {
                console.log(error);
                toastr.error('Something went wrong');
            },
            complete: function () {
            }

        });
    }

    delete() {
        $.ajax({
            type: 'DELETE',
            url: this.getRoute(),
            data: this.getData(),
            async: false,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            beforeSend: function () {
            },
            success: function (response) {
                console.log(response);
                toastr.success('data deleted');
            },
            error: function (error) {
                console.log(error);
                toastr.error('Something went wrong');
            },
            complete: function () {
            }

        });
    }


    get() {
        var response = null;
        $.ajax({
            type: "GET",
            url: this.getRoute(),
            processData: false,
            contentType: false,
            cache: false,
            async: false,
            timeout: 800000,
            beforeSend: function () {
            },
            success: function (resp) {
                response = resp;
            },
            error: function (error) {
                console.log(error);
                toastr.error('Something went wrong');
            },
            complete: function () {
            }

        });

        return response;
    }


    reset() {
        for (var i in this.inputs) {
            //this.inputs[i].attr('value', '');
            this.inputs[i].val('');
        }
    }



    value(input) {
        if (input.attr('type') == 'radio') {
            return input.is(":checked");
        } else {
            return input.val();
        }
    }

}