console.log('activeAssetList.js');

var inventoryID=0;
$(document).ready(function () {

    $('#tblAssets').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thid" },
          { "data": "assetnum" },
          { "data": "assetname" },
          { "data": "serialno" },
          { "data": "purchaseDate" },
          { "data": "view" },
          { "data": "edit" },

        ],
    });
    getInventoryID();

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });
});
function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblAssets');
    var wb = XLSX.utils.table_to_book(elt, {sheet:"Sheet JS"});
    return dl ?
       XLSX.write(wb, {bookType:type, bookSST:true, type: 'base64'}) :
       XLSX.writeFile(wb, fn || ('ActiveAssetList.' + (type || 'xlsx')));
}

function getInventoryID() {

    if (window.location.search.length > 0) {

        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split('&');
        var id = param[0];
        inventoryID=id;
        if (param.length == 2) {
            console.log('view')
            console.log(inventoryID)
        } else {
            console.log('Edit')
        }
        loadAssets(id);
    }

}

function loadAssets(id){
    $.ajax({
        type: 'GET',
        url: '/am/activeAssetList/loadAssets/'+id,
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {

                    var id  = response.result[i]['id'];
                    var AssetNo  = response.result[i]['AssetNo'];
                    var Asset  = response.result[i]['Asset'];
                    var SerialNo  = response.result[i]['SerialNo'];
                    var PurchaseDate  = response.result[i]['PurchaseDate'];

                     //formating the number to 6 digits
                     let formattedNumber = id.toLocaleString('en-US', {
                        minimumIntegerDigits: 6,
                        useGrouping: false})
                        formattedNumber='A'+formattedNumber;

                    data.push({
                        "thid": formattedNumber,
                        "assetnum":AssetNo,
                        "assetname":Asset,
                        "serialno":SerialNo,
                        "purchaseDate":PurchaseDate,
                        "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',

                     });
                }

                var table = $('#tblAssets').DataTable();
                table.clear();
                table.rows.add(data).draw();

                $('td:nth-child(1),th:nth-child(1)').hide(); //hide id colum
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function view(id) {
    location.href = "/am/registerNewAssest?" + id + "&view";
}
function edit(id) {

    location.href = "/am/registerNewAssest?" + id;

}
