var employeeID = null;
$(document).ready(function () {

    $('#tblEmployee').DataTable({
        responsive: true,
        "scrollX": true,
        "order": [],
        "columns": [
            { "data": "thID" },
            { "data": "thEmployeeID" },
            { "data": "thName" },
            { "data": "thNIC" },
            { "data": "thEmail" },
            { "data": "thPhone" },
            { "data": "thDesignation" },
            { "data": "thDepartment" },
            { "data": "thAuthority" },
            { "data": "thEdit" },
            { "data": "thDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 9 },
            { width: 30, targets: 10 },
        ],
    });
    all();
    allDepartment_Designation();

    $('#btnAction').on('click', function () {

        if ($(this).text() == 'Save') {
            save();
        } else if ($(this).text() == 'Update') {
            update(employeeID);
        }
        
    });

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });


});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblEmployee');
    var wb = XLSX.utils.table_to_book(elt, { sheet: "Sheet JS" });
    return dl ?
        XLSX.write(wb, { bookType: type, bookSST: true, type: 'base64' }) :
        XLSX.writeFile(wb, fn || ('Employees.' + (type || 'xlsx')));
}


function allDepartment_Designation() {
    $.ajax({
        type: "GET",
        url: '/am/employee/allDepartment_Designation',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);


            $('#cmbDepartment').empty();
            for (var i = 0; i < response.result.departments.length; i++) {
                $('#cmbDepartment').append('<option value="' + response.result.departments[i].id + '">' + response.result.departments[i].Name + '</option>');
            }


            $('#cmbDesignation').empty();
            for (var i = 0; i < response.result.designations.length; i++) {
                $('#cmbDesignation').append('<option value="' + response.result.designations[i].id + '">' + response.result.designations[i].Name + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function all() {
    $.ajax({
        type: "GET",
        url: '/am/employee/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblEmployee').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}



function save() {

    var httpFormData = new HttpRequestFormData();
    httpFormData.put('id', $('#txtID'), true);
    httpFormData.put('name', $('#txtName'), true);
    httpFormData.put('nic', $('#txtNIC'), true);
    httpFormData.put('phone', $('#txtPhone'), true);
    httpFormData.put('email', $('#txtEmail'), true);
    httpFormData.put('department', $('#cmbDepartment'), true);
    httpFormData.put('designation', $('#cmbDesignation'), true);
    httpFormData.put('yes', $('#radioYes'), false);
    httpFormData.put('no', $('#radioNo'), false);
    httpFormData.setRoute('/am/employee/save');
    if (httpFormData.validate()) {
        httpFormData.save();
        httpFormData.reset();
        all();
    }
    
}



function edit(id) {
    employeeID = id;
    $('#btnAction').text('Update');
    var httpFormData = new HttpRequestFormData();
    httpFormData.setId(id);
    httpFormData.setRoute('/am/employee/get');
    var response = httpFormData.get();
    if (response != null) {
        $('#txtID').val(response.result.CompanyID);
        $('#txtName').val(response.result.Name);
        $('#txtNIC').val(response.result.NIC);
        $('#txtEmail').val(response.result.Email);
        $('#txtPhone').val(response.result.PhoneNumber);
        setSelectedOption('cmbDesignation', response.result.DesignationID);
        setSelectedOption('cmbDepartment', response.result.DepartmentID);
        console.log(response);
        if (response.result.ApprovalAuthority == 1) {
            $('#radioYes').prop("checked", true);
        } else {
            $('#radioNo').prop("checked", true);
        }
    }

}


function update(id) {
    var httpFormData = new HttpRequestFormData();
    httpFormData.setId(id);
    httpFormData.put('id', $('#txtID'), true);
    httpFormData.put('name', $('#txtName'), true);
    httpFormData.put('nic', $('#txtNIC'), true);
    httpFormData.put('phone', $('#txtPhone'), true);
    httpFormData.put('email', $('#txtEmail'), true);
    httpFormData.put('department', $('#cmbDepartment'), true);
    httpFormData.put('designation', $('#cmbDesignation'), true);
    httpFormData.put('yes', $('#radioYes'), false);
    httpFormData.put('no', $('#radioNo'), false);
    httpFormData.setRoute('/am/employee/update');
    if (httpFormData.validate()) {
        httpFormData.update();
        httpFormData.reset();
        $('#btnAction').text('Save');
        all();
    }
}



function _delete(id) {
    var httpFormData = new HttpRequestFormData();
    httpFormData.setId(id);
    httpFormData.put('id', $('#txtID'), true);
    httpFormData.put('name', $('#txtName'), true);
    httpFormData.put('nic', $('#txtNIC'), true);
    httpFormData.put('phone', $('#txtPhone'), true);
    httpFormData.put('email', $('#txtEmail'), true);
    httpFormData.put('department', $('#cmbDepartment'), true);
    httpFormData.put('designation', $('#cmbDesignation'), true);
    httpFormData.put('yes', $('#radioYes'), false);
    httpFormData.put('no', $('#radioNo'), false);
    httpFormData.setRoute('/am/employee/delete');
    httpFormData.delete();
    httpFormData.reset();
    $('#btnAction').text('Save');
    all();

}



function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}
