console.log('group1.js');

$(document).ready(function () {

    $('#tblgroup1').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thid" },
          { "data": "thname" },
          { "data": "edit" },
          { "data": "delete" },
        ],
    });

    $('#btnsave').on('click', function () {
        var form = $('#dform').get(0);
        var data = new FormData(form);

        if($('#btnsave').text().trim()=='Save'){
            save(data);
        }
        else{
            update(data);
        }

    });

    loadgroup1();

});
function save(data) {

    $.ajax({
        type: "POST",
        url: "/am/group1/save",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data saved');
                reset();
                loadgroup1();

            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}
function update(data) {

    $.ajax({
        type: "POST",
        url: "/am/group1/update",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data Updated');
                reset();
                loadgroup1();
                $('#btnsave').text('Save');
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}
function loadgroup1(){
    $.ajax({
        type: 'GET',
        url: '/am/group1/loadgroup1',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name  = response.result[i]['Name'];
                    var id  = response.result[i]['id'];


                    data.push({
                        "thid": id,
                        "thname":name,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                     });
                }

                var table = $('#tblgroup1').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}
function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        url: '/am/group1/deletegroup1/'+id,
        success: function(response){
              console.log(response);
                loadgroup1();


        }, error: function(data){
            // console.log('something went wrong');
        }
    });
}
function edit(id) {

    $.ajax({
        type: 'GET',
        url: '/am/group1/loadgroup1/'+id,
        success: function(response){
            console.log(response.result.Name)
            if (response.success) {
                $('#txtName').val(response.result.Name);
                $('#txtid').val(response.result.id);
                $('#btnsave').text('Update');
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });

}

function reset(){
    $('#txtName').val('');
}

