
var floorID = null;
$(document).ready(function () {

    $('#tblFloor').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thFloorID" },
            { "data": "thFloorName" },
            { "data": "thFloorView" },
            { "data": "thFloorDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 2 },
            { width: 30, targets: 3 },
        ],
    });
    allFloor();



    $('#btnFloor').on('click', function (event) {

        var request = new RequestFormData();
        request.setFormData({ 'building': $('#cmbBuilding').val(), 'floor': $('#txtFloor').val() });

        if ($(this).text() == 'Save') {

            request.setRoute('/am/floor/save');

            if (request.save()) {
                toastr.success('data saved');
            } else {
                toastr.error('Something went wrong');
            }


        } else if ($(this).text() == 'Update') {

            request.setID(floorID);
            request.setRoute('/am/floor/update');

            if (request.update()) {
                toastr.success('data updated');
            } else {
                toastr.error('Something went wrong');
            }


        }
        allFloor();

    });

    $('#pills-floor-tab').on('click', function () {
        loadAllBuilding_Combo();
    });

});

function loadAllBuilding_Combo() {
    $.ajax({
        type: "GET",
        url: '/am/floor/allBuilding',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbBuilding').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbBuilding').append('<option value="' + response.result[i].id + '">' + response.result[i].Building + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function allFloor() {
    $.ajax({
        type: "GET",
        url: '/am/floor/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblFloor').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

    resetFloor();
}







function editFloor(id) {
    getFloor(id);
}

function deleteFloor(id) {

    var request = new RequestFormData();
    request.setID(id);
    request.setFormData({ 'related': 'Floor' });
    request.setRoute('/am/location/isRelated');
    var isRelated = HttpRequest.isRelated(request);
    if (isRelated) {
        toastr.warning('Cannot delete data');
    } else {
        request.setRoute('/am/floor/delete');
        var status = request._delete();
        if (status) {
            toastr.success('data deleted');
        } else {
            toastr.error('Something went wrong');
        }
    }

    allFloor();
}




function getFloor(id) {
    $.ajax({
        type: "GET",
        url: '/am/floor/getFloor/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                $('#txtFloor').val(response.result.Floor);
                floorID = response.result.id;
                buildingID = response.result.BuildingID;
                $('#btnFloor').text('Update');
                setSelectedOption('cmbBuilding', buildingID);
            } else {
                toastr.error('Something went wrong');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}



function resetFloor() {
    $("#LocationForm").get(0).reset();
    $('#btnFloor').text('Save');
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}