
var siteID = null;
$(document).ready(function () {

    $('#tblSite').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thSiteID" },
            { "data": "thSiteName" },
            { "data": "thSiteView" },
            { "data": "thSiteDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 2 },
            { width: 30, targets: 3 },
        ],
    });
    allSite();



    $('#btnSite').on('click', function (event) {

        var request = new RequestFormData();
        request.setFormData({ 'site': $('#txtSite').val() });

        if ($(this).text() == 'Save') {

            request.setRoute('/am/site/save');

            if (request.save()) {
                toastr.success('data saved');
            } else {
                toastr.error('Something went wrong');
            }


        } else if ($(this).text() == 'Update') {

            request.setID(siteID);
            request.setRoute('/am/site/update');

            if (request.update()) {
                toastr.success('data updated');
            } else {
                toastr.error('Something went wrong');
            }


        }
        allSite();

    });

});



function allSite() {
    $.ajax({
        type: "GET",
        url: '/am/site/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblSite').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

    resetSite();
}







function editSite(id) {
    getSite(id);
}

function deleteSite(id) {

    var request = new RequestFormData();
    request.setID(id);
    request.setFormData({'related': 'Site' });
    request.setRoute('/am/location/isRelated');
    var isRelated = HttpRequest.isRelated(request);
    if (isRelated) {
        toastr.warning('Cannot delete data');
    } else {
        request.setRoute('/am/site/delete');
        var status = request._delete();
        if (status) {
            toastr.success('data deleted');
        } else {
            toastr.error('Something went wrong');
        }
    }
    allSite();
}




function getSite(id) {
    $.ajax({
        type: "GET",
        url: '/am/site/getSite/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                $('#txtSite').val(response.result.Site);
                siteID = response.result.id;
                $('#btnSite').text('Update');
            } else {
                toastr.error('Something went wrong');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}



function resetSite() {
    $("#LocationForm").get(0).reset();
    $('#btnSite').text('Save');
}