console.log('purchaseNewassestRejectList.js');

$(document).ready(function () {

    $('#tblrejectlist').DataTable({
        responsive: true,
        'columnDefs': [{
            "targets": [0, 1, 2, 3,],
            "className": "text-center",
        }],
        "order": [],
        "columns": [
            { "data": "thno" },
            { "data": "thinvname" },
            { "data": "aprovestate" },
            { "data": "view" },


        ],
    });

    loadrequests();

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });

});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblgroup1');
    var wb = XLSX.utils.table_to_book(elt, {sheet:"Sheet JS"});
    return dl ?
       XLSX.write(wb, {bookType:type, bookSST:true, type: 'base64'}) :
       XLSX.writeFile(wb, fn || ('purchaseNewAsset.' + (type || 'xlsx')));
}

function loadrequests() {
    $.ajax({
        type: 'GET',
        url: '/am/purchaseNewAssestRejectList/loadrequests',
        success: function (response) {
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name = response.result[i]['AssetName'];
                    var id = response.result[i]['id'];
                    var Approval = response.result[i]['Approval'];

                    //formating the number to 6 digits
                    let formattedNumber = id.toLocaleString('en-US', {
                        minimumIntegerDigits: 6,
                        useGrouping: false
                    })
                    formattedNumber = 'R' + formattedNumber;

                   if (Approval == 2) {
                        data.push({
                            "thno": formattedNumber,
                            "thinvname": name,
                            "aprovestate": '<span class="badge badge-danger"><i class="fa fa-times mr-2" ></i> Rejected</span>',
                            "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        });
                    }

                }

                var table = $('#tblrejectlist').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}


function view(id) {
    location.href = "/am/purchasenewassest?" + id + "&view";
}


