console.log('UserRole.js');

$(document).ready(function () {

    $('#tbluserrole').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thid" },
          { "data": "thname" },
          { "data": "edit" },
          { "data": "delete" },
        ],
    });

    $('#btnsave').on('click', function () {
        var form = $('#dform').get(0);
        var data = new FormData(form);

        if($('#btnsave').text().trim()=='Save'){
            save(data);
        }
        else{
            update(data);
        }

    });

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });


    loaduserrole();

});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tbluserrole');
    var wb = XLSX.utils.table_to_book(elt, {sheet:"Sheet JS"});
    return dl ?
       XLSX.write(wb, {bookType:type, bookSST:true, type: 'base64'}) :
       XLSX.writeFile(wb, fn || ('userrole.' + (type || 'xlsx')));
}


function save(data) {

    $.ajax({
        type: "POST",
        url: "/am/userrole/save",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data saved');
                reset();
                loaduserrole();

            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}
function update(data) {

    $.ajax({
        type: "POST",
        url: "/am/userrole/update",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data Updated');
                reset();
                loaduserrole();
                $('#btnsave').text('Save');
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}
function loaduserrole(){
    $.ajax({
        type: 'GET',
        url: '/am/userrole/loaduserrole',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name  = response.result[i]['name'];
                    var id  = response.result[i]['id'];


                    data.push({
                        "thid": id,
                        "thname":name,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                     });
                }

                var table = $('#tbluserrole').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}
function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        url: '/am/userrole/deleteuserrole/'+id,
        success: function(response){
              console.log(response);
              loaduserrole();


        }, error: function(data){
            // console.log('something went wrong');
        }
    });
}
function edit(id) {

    $.ajax({
        type: 'GET',
        url: '/am/userrole/loaduserrole/'+id,
        success: function(response){
            console.log(response.result.name)
            if (response.success) {
                $('#txtName').val(response.result.name);
                $('#txtid').val(response.result.id);
                $('#btnsave').text('Update');
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });

}

function reset(){
    $('#txtName').val('');
}

