@extends('am::layouts.app')

@section('head')
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    {{-- <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js" integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ==" crossorigin="anonymous"></script> --}}
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js" integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ==" crossorigin="anonymous"></script>
    <!-- AutoComplete -->
    <link rel="stylesheet" href="{{ Module::asset('am:js/autocomplete/css/autocomplete.min.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('am:css/style.css') }}">
    <meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Asset List Report</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Reports</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Asset List Report</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Asset list</h6>
                <div class="form-row">
                    <div class="col-md-1 mb-1">
                            <label class="form-check-label"> Site </label>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label class="switch"><input type="checkbox" id="cbxSite" ><span class="slider round"></span></label>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-4 mb-3">
                        <select class="form-control" name="site" id="cmbSite">
                            <option value="">Unspesifide</option>
                        </select>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-1 mb-1">
                            <label class="form-check-label"> Building </label>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label class="switch"><input type="checkbox" id="cbxBuilding" ><span class="slider round"></span></label>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-4 mb-3">
                        <select class="form-control" name="employee" id="cmbBuilding"></select>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-1 mb-1">
                            <label class="form-check-label"> Floor </label>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label class="switch"><input type="checkbox"  id="cbxFloor" ><span class="slider round"></span></label>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-4 mb-3">
                        <select class="form-control" name="employee" id="cmbFloor"></select>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-1 mb-1">
                            <label class="form-check-label"> Unit </label>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label class="switch"><input type="checkbox" id="cbxUnit" ><span class="slider round"></span></label>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-4 mb-3">
                        <select class="form-control" name="employee" id="cmbUnit"></select>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-1 mb-1">
                            <label class="form-check-label"> Room </label>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label class="switch"><input type="checkbox" id="cbxRoom" ><span class="slider round"></span></label>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-4 mb-3">
                        <select class="form-control" name="employee" id="cmbRoom"></select>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                    </div>
                </div>



                <button class="btn btn-primary" type="button" id="btnPrint">Print</button>
                <button class="btn btn-primary" type="button" id="btnexport">Export</button>

            </div>
        </div>

    </div>
</div>

@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/vfs_fonts.js" integrity="sha512-vv3EN6dNaQeEWDcxrKPFYSFba/kgm//IUnvLPMPadaUf5+ylZyx4cKxuc4HdBf0PPAlM7560DV63ZcolRJFPqA==" crossorigin="anonymous"></script>
<script type="application/octet-stream" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/fonts/Roboto/Roboto-Medium.ttf"></script>
<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<!-- AutoComplete -->
<script src="{{ Module::asset('am:js/autocomplete/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<!-- my script  -->
<script src="{{ Module::asset('am:js/assetListReport.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/pdf/Page.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/pdf/PDFViewer.js') }}?random=<?php echo uniqid(); ?>"></script>

@endsection
